# ChangeLog for sys-fs/udev
# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sys-fs/udev/ChangeLog,v 1.192 2006/04/16 22:30:49 hansmi Exp $

  16 Apr 2006; Michael Hanselmann <hansmi@gentoo.org> udev-087.ebuild:
  Stable on ppc.

  09 Apr 2006; Markus Rothe <corsair@gentoo.org> udev-087.ebuild:
  Stable on ppc64

  05 Apr 2006; Gustavo Zacarias <gustavoz@gentoo.org> udev-087.ebuild:
  Stable on sparc

*udev-089-r2 (04 Apr 2006)

  04 Apr 2006; Greg Kroah-Hartman <gregkh@gentoo.org> +files/udev.rules-089,
  +udev-089-r2.ebuild:
  fix raid-devfs.sh losage (bug #128682)
  fix inability to boot on kernels older than 2.6.14 (bug #128792)

  04 Apr 2006; Aron Griffis <agriffis@gentoo.org> udev-087.ebuild:
  Mark 087 stable on ia64

*udev-089-r1 (04 Apr 2006)

  04 Apr 2006; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-089-r1.ebuild:
  oops path_id went away, put it back now.

*udev-089 (03 Apr 2006)

  03 Apr 2006; Greg Kroah-Hartman <gregkh@gentoo.org>
  +files/udev-start-089.sh, +udev-089.ebuild:
  089 release
  adds a new library (can 64 bit arches please verify that I didn't mess
  something up here?)
  adds "coldplug" functionality to udev by default, use the module blacklist
  option to prevent things from being loaded if you don't like this.

  03 Apr 2006; Greg Kroah-Hartman <gregkh@gentoo.org> udev-087.ebuild:
  mark 087 stable on x86 due to 2.6.16 being stable soon

*udev-087 (15 Mar 2006)

  15 Mar 2006; Robin H. Johnson <robbat2@gentoo.org> +udev-087.ebuild:
  Version bump, now supports SAS hardware.

  06 Mar 2006; Mike Frysinger <vapier@gentoo.org> files/udev-stop.sh:
  Pass --numeric-owner to tar to make shutdown with NIS users happy.

*udev-086 (02 Mar 2006)

  02 Mar 2006; Greg Kroah-Hartman <gregkh@gentoo.org>
  files/udev-start-079.sh, +udev-086.ebuild:
  086 release
  fixed problem that /dev/.udev might be a file instead of a directory
  Startup queue waiting problem fixed (people with fancy disk setups hit this.)

*udev-085 (21 Feb 2006)

  21 Feb 2006; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-085.ebuild:
  085 added

  21 Feb 2006; Joel Martin <kanaka@gentoo.org> udev-070-r1.ebuild:
  Fix invalid size value for udev.permissions in Manifest

  19 Feb 2006; Joshua Kinard <kumba@gentoo.org> udev-079-r1.ebuild:
  Marked stable on mips.

  17 Feb 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  files/udev-start-079.sh:
  Added patch from bug #123129 to fix evms_activate for LiveCD builds.

  08 Feb 2006; Aron Griffis <agriffis@gentoo.org> udev-079-r1.ebuild:
  Mark 079-r1 stable on alpha

*udev-084 (31 Jan 2006)

  31 Jan 2006; Greg Kroah-Hartman <gregkh@gentoo.org>
  files/05-udev-early.rules-079, +files/udev.rules-084,
  +files/udev.conf.post_081, +files/udev-parisc-path_id-again.patch,
  +udev-084.ebuild:
  084 release - lots of little bug fixes, and config file updates.

  22 Jan 2006; Markus Rothe <corsair@gentoo.org> udev-079-r1.ebuild:
  Stable on ppc64

  22 Jan 2006; <dang@gentoo.org> udev-079-r1.ebuild:
  Marked stable on amd64

*udev-081-r1 (21 Jan 2006)
*udev-079-r1 (21 Jan 2006)

  21 Jan 2006; Roy Marples <uberlord@gentoo.org> +files/udev-start-079.sh,
  +udev-079-r1.ebuild, +udev-081-r1.ebuild:
  Version bump for new scripts to stop udev from starting init scripts
  too early, #118419.

  18 Jan 2006; Guy Martin <gmsoft@gentoo.org> udev-079.ebuild:
  Stable on hppa.

  18 Jan 2006; Joseph Jezak <josejx@gentoo.org> udev-079.ebuild:
  Marked ppc stable.

*udev-081 (17 Jan 2006)

  17 Jan 2006; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-081.ebuild:
  add 081 release from upstream.

  17 Jan 2006; Gustavo Zacarias <gustavoz@gentoo.org> udev-079.ebuild:
  Stable on sparc

  14 Jan 2006; Greg Kroah-Hartman <gregkh@gentoo.org> udev-079.ebuild:
  079 marked stable on x86 to handle upcoming 2.6.15 stable marking too.

  25 Dec 2005; Joshua Kinard <kumba@gentoo.org> udev-070-r1.ebuild:
  Marked stable on mips.

*udev-079 (23 Dec 2005)

  23 Dec 2005; Greg Kroah-Hartman <gregkh@gentoo.org>
  +files/05-udev-early.rules-079, +udev-079.ebuild:
  079 release, fixes some /dev/disk names and naming of network devices bugs.

*udev-078 (19 Dec 2005)

  19 Dec 2005; Greg Kroah-Hartman <gregkh@gentoo.org>
  +files/05-udev-early.rules-078, +files/udev.rules-078, +udev-078.ebuild:
  078 release.
  fixes dvb issue (hopefully for real this time.)
  scsi tool fixes.
  added new config file to run before everyone else.

  18 Dec 2005; Markus Rothe <corsair@gentoo.org> udev-070-r1.ebuild:
  Stable on ppc64

*udev-077-r5 (13 Dec 2005)

  13 Dec 2005; Greg Kroah-Hartman <gregkh@gentoo.org>
  +files/udev.rules-077-r5, +udev-077-r5.ebuild:
  Fix DVB naming issue (#115123) and fix the serial port names to be real with
  symlinks for people who can't live without the dumb devfs names...

*udev-077-r4 (11 Dec 2005)

  11 Dec 2005; Greg Kroah-Hartman <gregkh@gentoo.org>
  +files/udev-start-077-r4.sh, +udev-077-r4.ebuild:
  seed /lib/udev/devices with some known device files (fixes some errors at boot
  time.)  Also rework the udev-start.sh file a bit to fix the order of how we
  start up udev.

*udev-077-r3 (09 Dec 2005)

  09 Dec 2005; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-077-r3.ebuild:
  077-r3 release - fix dependancy on newer version of baselayout (for those who
  are running stable for other packages, and don't seem to want to upgrade) as
  we need it to start udev properly at boot time.

*udev-077-r2 (08 Dec 2005)

  08 Dec 2005; Greg Kroah-Hartman <gregkh@gentoo.org>
  +files/udev-start-077-r2.sh, +udev-077-r2.ebuild:
  changes to udev-start.sh to handle the good features in the 2.6.15 kernel
  release (only use netlink, faster startup time using uevent, etc.)
  
  Everything should still work just fine for older kernel releases, if not,
  please enter bugs.

*udev-077-r1 (07 Dec 2005)

  07 Dec 2005; Greg Kroah-Hartman <gregkh@gentoo.org>
  +files/udev.rules-077-r1, +files/udev-parisc-path_id.patch,
  +udev-077-r1.ebuild:
  077-r1 release.
  Fixes a number of little bugs that people have reported.

*udev-077 (07 Dec 2005)

  07 Dec 2005; Greg Kroah-Hartman <gregkh@gentoo.org> +files/udev.rules-077,
  +files/udev-start-077.sh, +udev-077.ebuild:
  Rudimentary 077 udev support added.  Should fix lots of odd bugs
  people have been having with 073.

  12 Nov 2005; Chris White <chriswhite@gentoo.org> Manifest:
  Fixed silly bug #112235. Feel free to chew my head off, it's breaking user's
  systems for a very silly reason.

  11 Nov 2005; Michael Hanselmann <hansmi@gentoo.org> udev-070-r1.ebuild:
  Stable on ppc.

*udev-073 (07 Nov 2005)

  07 Nov 2005; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-073.ebuild:
  073 release.
  Fixes the "kernel does not have inotify" issue.

*udev-072 (06 Nov 2005)

  06 Nov 2005; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-072.ebuild:
  072 release.  Careful about running this on kernels older
  than 2.6.14, I do not know what will happen with that...

  25 Oct 2005; Greg Kroah-Hartman <gregkh@gentoo.org> -udev-045.ebuild,
  -udev-056.ebuild, -udev-058.ebuild, -udev-068.ebuild:
  remove more old versions of udev from the tree

  25 Oct 2005; Greg Kroah-Hartman <gregkh@gentoo.org>
  -files/udev-070-gcc2.patch, -udev-030.ebuild, -udev-059.ebuild,
  -udev-060.ebuild, -udev-062.ebuild, -udev-063.ebuild, -udev-064.ebuild,
  -udev-064-r1.ebuild, -udev-065.ebuild, -udev-066.ebuild, -udev-067.ebuild,
  -udev-070.ebuild:
  remove a bunch of old udev versions from the tree

*udev-071 (19 Oct 2005)

  19 Oct 2005; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-071.ebuild:
  071 release
  added firmware_helper to hopefully help out the firmware issues people are
  seeing.

*udev-070-r1 (19 Oct 2005)

  19 Oct 2005; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-070-r1.ebuild:
  Fix 109789 caused by gcc 2 patch which was incorrect :(

  19 Oct 2005; Mike Frysinger <vapier@gentoo.org>
  +files/udev-070-gcc2.patch, udev-070.ebuild:
  Fix building with gcc-2.x.

  18 Oct 2005; Aron Griffis <agriffis@gentoo.org> udev-070.ebuild:
  Mark 070 stable on alpha

  17 Oct 2005; <dang@gentoo.org> udev-070.ebuild:
  Marked stable on amd64

  17 Oct 2005; Gustavo Zacarias <gustavoz@gentoo.org> udev-070.ebuild:
  Stable on sparc

  14 Oct 2005; Greg Kroah-Hartman <gregkh@gentoo.org> udev-070.ebuild:
  Marked 070 stable on x86

  14 Oct 2005; Carlos Silva <r3pek@gentoo.org> udev-068-r1.ebuild,
  udev-070.ebuild:
  Added a workaround to the md5sum calculation. Older versions of coreutils
  doesn't return the end '-'

  16 Sep 2005; Aron Griffis <agriffis@gentoo.org> udev-068-r1.ebuild:
  Mark 068-r1 stable on alpha

*udev-070 (14 Sep 2005)

  14 Sep 2005; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-070.ebuild:
  070 release, gets rid of some kernel log messages people were seeing on
  startup.

*udev-069 (13 Sep 2005)

  13 Sep 2005; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-069.ebuild:
  069 udev release.  Lots of tiny bug fixes all over the place.

*udev-068-r1 (12 Sep 2005)

  12 Sep 2005; Martin Schlemmer <azarah@gentoo.org> +files/udev-start.sh,
  +files/udev-stop.sh, udev-068.ebuild, +udev-068-r1.ebuild:
  Add rcscript addons.  Note that they will only be used in next unstable
  baselayout version 1.12.0.

  08 Sep 2005; Aaron Walker <ka0ttic@gentoo.org> udev-068.ebuild:
  Stable on mips.

  03 Sep 2005; Michael Hanselmann <hansmi@gentoo.org> udev-068.ebuild:
  Stable on ppc.

  03 Sep 2005; Markus Rothe <corsair@gentoo.org> udev-068.ebuild:
  Stable on ppc64

  31 Aug 2005; Luis Medinas <metalgod@gentoo.org> udev-068.ebuild:
  Marked Stable on AMD64.

  31 Aug 2005; Gustavo Zacarias <gustavoz@gentoo.org> udev-068.ebuild:
  Stable on sparc

  30 Aug 2005; Greg Kroah-Hartman <gregkh@gentoo.org> udev-068.ebuild:
  Add more info messages (like anyone reads them...) for people upgrading
  to the latest 068 release that does not have devfs style names anymore.
  
  Marked 068 stable on x86, let the bugs begin...

*udev-068 (18 Aug 2005)

  18 Aug 2005; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-068.ebuild:
  068 release
  This should fix the cdrom, dvb, and any other external callout problem that
  was happening with the 066 and 067 release.
  Also fixes the CFLAGS issue.

  13 Aug 2005; Greg Kroah-Hartman <gregkh@gentoo.org> Manifest:
  fixed 067 digest md5

*udev-067 (13 Aug 2005)

  13 Aug 2005; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-067.ebuild:
  067 release
  
  Fixes persistant name stuff at boot (and the cdrom naming at boot).
  Fixes build of cdrom_id with older versions of linux-headers.

*udev-066 (11 Aug 2005)

  11 Aug 2005; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-066.ebuild:
  066 release
  Should fix cdrom permission problem from 065
  helper programs are moved to /sbin
  Lots of config file tweaks.

*udev-065 (02 Aug 2005)

  02 Aug 2005; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-065.ebuild:
  065 release
  
  Little bug fixes, new helper script "path_id".
  
  Also, we now have persistent block device names in /dev/disk/ try them out and
  let me know if they are useful or not.

*udev-064-r1 (31 Jul 2005)

  31 Jul 2005; Greg Kroah-Hartman <gregkh@gentoo.org>
  +files/udev.rules-064-r1, +udev-064-r1.ebuild:
  Start moving to a sane /dev naming scheme.
  This release removes the devfs names for the tty and consolde devices, and the
  symlinks that were implementing the LSB standard names.  We only implement the
  LSB names now, which saves over 3Mb of RAM on /dev.
  
  This rule change also speeds up udev init time by a order of magnitude 
  (my slow box went from 5 seconds to .5 seconds, your mileage will vary, 
  'time udevstart' as root before and after this release to see your difference.)

*udev-064 (26 Jul 2005)

  26 Jul 2005; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-064.ebuild:
  064 release
  
  Fixes sparc and other 64 bit arch issues.
  Added another udev helper program, create_floppy_devices, which requires a
  kernel patch to work properly.

  17 Jul 2005; Joshua Kinard <kumba@gentoo.org> udev-062.ebuild,
  udev-063.ebuild:
  Remove sparc keywords from udev-062 and udev-063 until bus error in Bug #99290
  is fixed.

*udev-063 (15 Jul 2005)

  15 Jul 2005; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-063.ebuild:
  063 release
  fixes cdrom and firewire raw device issues, among other things.

  13 Jul 2005; Aron Griffis <agriffis@gentoo.org> udev-058.ebuild:
  stable on alpha

  09 Jul 2005; Joseph Jezak <josejx@gentoo.org> udev-058.ebuild:
  Marked ppc stable.

  07 Jul 2005; Greg Kroah-Hartman <gregkh@gentoo.org> -udev-061.ebuild:
  remove 061 from tree as it's so broken.

*udev-062 (07 Jul 2005)

  07 Jul 2005; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-062.ebuild:
  062 release
  Fixes big permission problem with 061 and some other things.

  07 Jul 2005; Jeremy Huddleston <eradicator@gentoo.org> udev-058.ebuild:
  Stable amd64.

  06 Jul 2005; Greg Kroah-Hartman <gregkh@gentoo.org> -udev-042.ebuild,
  -udev-043.ebuild, -udev-046.ebuild, -udev-048.ebuild, -udev-049.ebuild,
  -udev-050.ebuild, -udev-051.ebuild, -udev-052.ebuild, -udev-054.ebuild:
  deleted old udev ebuilds that are not needed

*udev-061 (06 Jul 2005)

  06 Jul 2005; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-061.ebuild:
  061 release
  Fixes the cdsymlink issue.

  05 Jul 2005; Aron Griffis <agriffis@gentoo.org> udev-058.ebuild:
  stable on ia64

  04 Jul 2005; Gustavo Zacarias <gustavoz@gentoo.org> udev-058.ebuild:
  Stable on sparc

*udev-060 (03 Jul 2005)

  03 Jul 2005; Greg Kroah-Hartman <gregkh@gentoo.org>
  +files/udev.conf.post_059, +udev-060.ebuild:
  060 release
  
  This one should actually boot, unlike 059, sorry about that...

  01 Jul 2005; Markus Rothe <corsair@gentoo.org> udev-058.ebuild:
  Stable on ppc64

  01 Jul 2005; Greg Kroah-Hartman <gregkh@gentoo.org> udev-058.ebuild:
  mark 058 stable on x86

*udev-059 (01 Jul 2005)

  01 Jul 2005; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-059.ebuild:
  059 release
  
  Note this is _very_ experimental still.  Not quite sure if /etc/dev.d/
  rules still run properly, but booting should still work just fine (as
  long as your boot partitions aren't under some crazy-whack rule...)

  28 Jun 2005; Joshua Kinard <kumba@gentoo.org> udev-056.ebuild:
  Marked stable on mips.

  21 Jun 2005; Olivier Crête <tester@gentoo.org> udev-056.ebuild:
  Stable on amd64

  27 May 2005; Joseph Jezak <josejx@gentoo.org> udev-056.ebuild:
  Marked ppc stable.

  23 May 2005; Jason Wever <weeve@gentoo.org> udev-056.ebuild:
  Stable on SPARC.

  22 May 2005; Markus Rothe <corsair@gentoo.org> udev-056.ebuild:
  Stable on ppc64

*udev-058 (20 May 2005)

  20 May 2005; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-058.ebuild:
  058 release.
  Please read RELEASE-NOTES if you have custom udev rules.
  This version is required if you have custom rules, and you are running
  a kernel newer than 2.6.12-rc4 (this includes 2.6.12 and the 2.6.12-mm
  releases.)

  12 May 2005; Guy Martin <gmsoft@gentoo.org> udev-056.ebuild:
  Stable on hppa.

  11 May 2005; Greg Kroah-Hartman <gregkh@gentoo.org> udev-056.ebuild:
  Marked 056 stable on x86 (finally...)  This fixes a whole lot of reported bugs.
  But please be careful about changes in the rule structures if you had any
  custom rules written for older versions of udev.

  26 Mar 2005; Joseph Jezak <josejx@gentoo.org> udev-045.ebuild:
  Marked ppc stable.

*udev-056 (24 Mar 2005)

  24 Mar 2005; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-056.ebuild:
  added 056 release

  20 Mar 2005; Markus Rothe <corsair@gentoo.org> udev-045.ebuild:
  Stable on ppc64

*udev-054 (25 Feb 2005)

  25 Feb 2005; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-054.ebuild:
  054 release

*udev-052 (08 Feb 2005)

  08 Feb 2005; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-052.ebuild:
  052 release.
  Lots of gentoo config bugs fixed in here.

*udev-051 (03 Feb 2005)

  03 Feb 2005; Greg Kroah-Hartman <gregkh@gentoo.org>
  +files/udev.conf.post_050, +udev-051.ebuild:
  update to 051 release. This fixes (or should) the firmware oops. Also,
  please note that the .permissions files are now gone! If you had custom ones
  in the past, you need to move that logic into the .rules files (if not,
  you'll just get root only access to the devices, so it's not a security
  issue...)

  18 Jan 2005; Joshua Kinard <kumba@gentoo.org> udev-045.ebuild:
  Marked stable on mips.

  01 Jan 2005; Jason Wever <weeve@gentoo.org> udev-045.ebuild:
  Stable on sparc.

*udev-050 (17 Dec 2004)

  17 Dec 2004; Greg Kroah-Hartman <gregkh@gentoo.org>
  +files/udev-050-udev_volume_id.patch, +udev-050.ebuild:
  050 release (fixes some segfaults in the 049 release)

*udev-039 (17 Dec 2004)

  17 Dec 2004; Greg Kroah-Hartman <gregkh@gentoo.org> -udev-024-r1.ebuild,
  -udev-025-r1.ebuild, -udev-026-r1.ebuild, -udev-027.ebuild,
  -udev-028.ebuild, -udev-029.ebuild, -udev-031.ebuild, -udev-032.ebuild,
  -udev-033.ebuild, -udev-034-r1.ebuild, -udev-034.ebuild, -udev-035.ebuild,
  -udev-036.ebuild, -udev-038.ebuild, -udev-039.ebuild, -udev-040.ebuild,
  -udev-044.ebuild:
  removed a lot of old udev ebuilds.

  15 Dec 2004; Bryan Østergaard <kloeri@gentoo.org> udev-045.ebuild:
  Stable on alpha.

*udev-049 (14 Dec 2004)

  14 Dec 2004; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-049.ebuild:
  049 release

  14 Dec 2004; Dylan Carlson <absinthe@gentoo.org> udev-045.ebuild:
  Stable on amd64.

  09 Dec 2004; Greg Kroah-Hartman <gregkh@gentoo.org> udev-024-r1.ebuild:
  048 release
  
  the /etc/hotplug.d/default/05-wait_for_sysfs.hotplug symlink is now gone.

  07 Dec 2004; Mike Frysinger <vapier@gentoo.org> udev-046.ebuild:
  Cross compile support.

*udev-046 (18 Nov 2004)

  18 Nov 2004; Greg Kroah-Hartman <gregkh@gentoo.org>
  +files/udev.conf.post_046, +udev-046.ebuild:
  046 release
  
  Note: If you rely on the output of udevinfo, please run udevstart
  after upgrading, or just reboot.  This isn't really a big deal, as
  I don't know of many tools that do rely on this (HAL might, don't
  remember) but it's a good idea.

  18 Nov 2004; Greg Kroah-Hartman <gregkh@gentoo.org> udev-045.ebuild:
  mark 045 stable on x86

*udev-045 (17 Nov 2004)

  17 Nov 2004; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-045.ebuild:
  045 release (just a rules file update to fix bugs caused by the 044 release,
  sorry about that...)

  11 Nov 2004; Travis Tilley <lv@gentoo.org> udev-043.ebuild:
  stable on amd64

  12 Nov 2004; Bryan Østergaard <kloeri@gentoo.org> udev-043.ebuild:
  Stable on alpha.

  11 Nov 2004; Joshua Kinard <kumba@gentoo.org> udev-042.ebuild:
  Marked stable on mips.

*udev-044 (10 Nov 2004)

  10 Nov 2004; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-044.ebuild:
  044 release
  added cdrom symlinks
  added 'static' IUSE support (will build with klibc)
  fixed 'maketest' FEATURE usage (no more sudo dependancy)
  other minor bugfixes and updates

  09 Nov 2004; Greg Kroah-Hartman <gregkh@gentoo.org> udev-043.ebuild:
  add sudo to the list of depends to build with
  mark 043 stable

*udev-043 (05 Nov 2004)

  05 Nov 2004; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-043.ebuild:
  043 release

*udev-042 (22 Oct 2004)

  22 Oct 2004; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-042.ebuild:
  042 release
  wait_for_sysfs updates (needed for -mm or latest -bk kernels)
  inotify fix
  Other bug fixes.

*udev-040 (18 Oct 2004)

  18 Oct 2004; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-040.ebuild:
  040 release
  Now fixes all the vcs issues in wait_for_sysfs (famous last words...)
  Also fixes mtr device node issue, sorry about that...

  15 Oct 2004; Greg Kroah-Hartman <gregkh@gentoo.org> :
  039 release
  Fixes the firmware loading bug.
  Should fix almost all wait_for_sysfs messages now too.
  If not, please send them to the address the log message tells you to.

  13 Oct 2004; Greg Kroah-Hartman <gregkh@gentoo.org> -udev-037.ebuild:
  remove 037 files, as that version didn't build the extras directory correctly.

*udev-037 (13 Oct 2004)

  13 Oct 2004; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-037.ebuild,
  +udev-038.ebuild:
  037 and 038 version bump.  
  Lots of good bug fixes, and better wait_for_sysfs error reporting.
  (Don't use 037, it will not build for you...)

*udev-036 (12 Oct 2004)

  12 Oct 2004; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-036.ebuild:
  036 bump.
  Hopefully get a bit better error reporting out of wait_for_sysfs now.

*udev-035 (11 Oct 2004)

  11 Oct 2004; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-035.ebuild:
  035 bump
  Lots more wait_for_sysfs warnings fixed.  If anyone sees any on their boxes,
  please send them to the address that the message tells you to.

  09 Oct 2004; Greg Kroah-Hartman <gregkh@gentoo.org> udev-034-r1.ebuild:
  oops, missed HOMEPAGE change for udev...

*udev-034-r1 (09 Oct 2004)

  09 Oct 2004; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-034-r1.ebuild:
  Fix bug 66634 and 66930 at the same time.
  (udevinfo and udevtest were getting placed in /bin/ instead of /usr/bin/)

*udev-034 (07 Oct 2004)

  07 Oct 2004; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-034.ebuild:
  034 release bump, which fixes a lot of the wait_for_sysfs log messages
  
  If people see any more of them, please send them to the email address
  in the log message.

*udev-033 (06 Oct 2004)

  06 Oct 2004; Greg Kroah-Hartman <gregkh@gentoo.org>
  +files/udev.hotplug.empty, +udev-033.ebuild:
  033 upstream release
  added volume_id back to the package, as it works again
  new program, wait_for_sysfs is now run before udev.
  udev is now 10-udev.hotplug in /etc/hotplug.d/default so that HAL
  is happier.
  Please feel free to delete the /etc/hotplug.d/default/udev.hotplug file.

*udev-032 (13 Sep 2004)

  13 Sep 2004; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-032.ebuild:
  032 release which fixes a number of 031 reported bugs.

  13 Sep 2004; Greg Kroah-Hartman <gregkh@gentoo.org>
  -files/udev-015-no-wait-for-sleep.patch,
  -files/udev-016-logging-config-option.patch,
  -files/udev-017-no-wait-for-sleep.patch,
  -files/udev-018-sysfs-build-fix.patch,
  -files/udev-019-unlink-existing.patch:
  deleted a lot of old patches from the tree

*udev-031 (10 Sep 2004)

  10 Sep 2004; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-031.ebuild:
  031 release
  No more udev_volume_id as it doesn't build :(

  03 Sep 2004; Pieter Van den Abeele <pvdabeel@gentoo.org> udev-025-r1.ebuild,
  udev-030.ebuild:
  Masked udev-030.ebuild stable for ppc

  03 Sep 2004; Pieter Van den Abeele <pvdabeel@gentoo.org> udev-025-r1.ebuild:
  Masked udev-025-r1.ebuild stable for ppc

  21 Aug 2004; Joshua Kinard <kumba@gentoo.org> udev-030.ebuild:
  Marked stable on mips.

  11 Aug 2004; Greg Kroah-Hartman <gregkh@gentoo.org> udev-030.ebuild:
  mark 030 stable on x86

  28 Jul 2004; Travis Tilley <lv@gentoo.org> udev-030.ebuild:
  marking stable on amd64 for misc bugfixes

  22 Jul 2004; Tom Gall <tgall@gentoo.org> udev-030.ebuild:
  stable, ppc64, let the brave new world start!

  10 Jul 2004; Ciaran McCreesh <ciaranm@gentoo.org> udev-029.ebuild:
  -sparc, see bug #55959

*udev-030 (09 Jul 2004)

  09 Jul 2004; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-030.ebuild:
  version bump to 030
  Should fix bug 55959 for amd64 (actually the bug was there for all arches
  the others just got lucky...)

*udev-029 (02 Jul 2004)

  02 Jul 2004; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-029.ebuild:
  029 version bump.
  Another stab at fixing the dm udevstart issue.

  30 Jun 2004; Greg Kroah-Hartman <gregkh@gentoo.org> -udev-016-r2.ebuild:
  removed old ebuilds, closing bug #4900

  28 Jun 2004; Joshua Kinard <kumba@gentoo.org> udev-026-r1.ebuild:
  Marked stable on mips.

*udev-028 (25 Jun 2004)

  25 Jun 2004; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-028.ebuild:
  version bump, hopefully will fix the lvm issue

  19 Jun 2004; Danny van Dyk <kugelfang@gentoo.org> udev-024-r1.ebuild,
  udev-025-r1.ebuild:
  Marked stable on amd64.

*udev-027 (14 Jun 2004)

  14 Jun 2004; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-027.ebuild:
  027 version bump.
  Fixes the /dev/tty and /dev/misc/* permission problems.

*udev-026-r1 (07 Jun 2004)

  07 Jun 2004; Greg Kroah-Hartman <gregkh@gentoo.org> +udev-026-r1.ebuild:
  026 version bump
  Added udev_volume_id to built files for people who want to use it.

  07 Jun 2004; Greg Kroah-Hartman <gregkh@gentoo.org>
  files/udev.conf.post_024:
  fix http://bugs.gentoo.org/show_bug.cgi?id=48740 by changing the default
  perms to 0660

*udev-023-r1 (07 May 2004)

  07 May 2004; Greg Kroah-Hartman <gregkh@gentoo.org> -udev-021-r1.ebuild,
  -udev-022-r1.ebuild, -udev-023-r1.ebuild, udev-025-r1.ebuild:
  removed 021-r1, 022-r1, and 023-r1 release as they are not needed anymore.

*udev-025-r1 (21 Apr 2004)

  21 Apr 2004; Greg Kroah-Hartman <gregkh@gentoo.org>
  +files/udev.conf.post_024, +udev-025-r1.ebuild:
  version bump.
  
  Changed the configs to look in /etc/udev/rules.d/ for udev rules
  and in /etc/udev/permissions.d/ for permission files.  Put the
  default files in those directories with the 50- prefix to allow
  users to override anything they don't like much easier.

  07 Apr 2004; Will Woods <wwoods@gentoo.org> udev-024-r1.ebuild:
  added ~alpha to KEYWORDS

  12 Apr 2004; Greg Kroah-Hartman <gregkh@gentoo.org> udev-024-r1.ebuild:
  Marked stable on x86   (crosses his fingers...)

*udev-024-r1 (02 Apr 2004)

  02 Apr 2004; Greg Kroah-Hartman <gregkh@gentoo.org> udev-024-r1.ebuild:
  024 release bump
  
  Use the udev.rules.gentoo and udev.permissions.gentoo files from the main
  udev tarball now, as they are synced up properly.
  
  Add the etc/dev.d/net/hotplug.dev script to properly handle renaming network
  devices with udev.

  24 Mar 2004; Greg Kroah-Hartman <gregkh@gentoo.org> :
  Took k the sysfsutils dependancy off, as it is onot needed.
  
  Bump to 023 release
  Remove DBUS support as it is currently broken in 023

  22 Mar 2004; Joshua Kinard <kumba@gentoo.org> udev-022-r1.ebuild:
  Added ~mips to KEYWORDS.

*udev-022-r1 (20 Mar 2004)

  20 Mar 2004; Greg Kroah-Hartman <gregkh@gentoo.org> metadata.xml,
  udev-022-r1.ebuild:
  Updated to version 022 of uevdev

*udev-016-r2 (16 Mar 2004)
*udev-017-r1 (16 Mar 2004)
*udev-018-r3 (16 Mar 2004)
*udev-018-r4 (16 Mar 2004)
*udev-018-r5 (16 Mar 2004)
*udev-019-r2 (16 Mar 2004)
*udev-019-r3 (16 Mar 2004)
*udev-021-r1 (16 Mar 2004)

  16 Mar 2004; Seemant Kulleen <seemant@gentoo.org> udev-016-r1.ebuild,
  udev-016-r2.ebuild, udev-017-r1.ebuild, udev-017.ebuild, udev-018-r1.ebuild,
  udev-018-r2.ebuild, udev-018-r3.ebuild, udev-018-r4.ebuild,
  udev-018-r5.ebuild, udev-018.ebuild, udev-019-r1.ebuild, udev-019-r2.ebuild,
  udev-019-r3.ebuild, udev-019.ebuild, udev-021-r1.ebuild, udev-021.ebuild:
  bumps to PROVIDE virtual/dev-manager

*udev-021 (04 Mar 2004)

  06 Mar 2004; Mike Frysinger <vapier@gentoo.org>
  Add gcc-2.x compat patch.

  04 Mar 2004; Martin Schlemmer <azarah@gentoo.org> udev-021.ebuild:
  Update version.  Add udevstart and manpage to be installed.

  29 Feb 2004; Martin Schlemmer <azarah@gentoo.org> udev-019-r1.ebuild:
  Fix it to use udev.rules-018.

  29 Feb 2004; Martin Schlemmer <azarah@gentoo.org> files/udev.rules-018:
  Fix missing comma, reported by floam.

*udev-019-r1 (29 Feb 2004)

  29 Feb 2004; Martin Schlemmer <azarah@gentoo.org> udev-019-r1.ebuild,
  files/udev-019-unlink-existing.patch:
  Remove existing file first before creating node/symlink (bug #43151).

*udev-019 (29 Feb 2004)

  29 Feb 2004; Martin Schlemmer <azarah@gentoo.org> udev-019.ebuild:
  Update version.

*udev-018-r2 (26 Feb 2004)

  26 Feb 2004; Martin Schlemmer <azarah@gentoo.org> udev-018-r2.ebuild,
  files/udev-018-sysfs-build-fix.patch:
  Fix build error, bug #42377, thanks Greg KH <greg@kroah.com>.

  26 Feb 2004; Ciaran McCreesh <ciaranm@gentoo.org> udev-018-r1.ebuild:
  Works on (most) sparc kit, adding ~sparc to the keywords

*udev-018-r1 (20 Feb 2004)

  20 Feb 2004; Martin Schlemmer <azarah@gentoo.org> udev-018-r1.ebuild:
  Give udevsend and udevd a go, as it seems previous issues are solved (missing
  events, etc).

*udev-018 (20 Feb 2004)

  20 Feb 2004; Martin Schlemmer <azarah@gentoo.org> udev-017.ebuild,
  udev-018.ebuild, files/udev.rules-018:
  Update version.

*udev-017 (13 Feb 2004)

  13 Feb 2004; Martin Schlemmer <azarah@gentoo.org> udev-017.ebuild,
  files/udev-017-no-wait-for-sleep.patch:
  Update version.

*udev-016-r1 (08 Feb 2004)

  08 Feb 2004; Martin Schlemmer <azarah@gentoo.org> udev-016-r1.ebuild,
  files/udev.rules.post_012:
  Comment examples in udev.rules as they cause issues. Bump version to propagate
  this change. Closes bug #40758.

*udev-016 (03 Feb 2004)

  03 Feb 2004; Martin Schlemmer <azarah@gentoo.org> udev-016.ebuild,
  files/udev-016-logging-config-option.patch:
  Update version.

  30 Jan 2004; Mike Frysinger <vapier@gentoo.org>
  udev-015-sysbus-missing-include.patch :
  Add patch to include missing header file #39792 by Simon Watson.

  30 Jan 2004; Martin Schlemmer <azarah@gentoo.org>
  files/udev-015-logging-config-option.patch:
  Tweak patch to use #define and not a string.

*udev-015 (29 Jan 2004)

  29 Jan 2004; Martin Schlemmer <azarah@gentoo.org> udev-015.ebuild,
  files/udev-015-logging-config-option.patch,
  files/udev-015-no-wait-for-sleep.patch,
  files/udev.conf, files/udev.rules.post_012
  Update version.  Update no-wait-for-sleep.patch to apply again.  Add
  logging-config-option.patch to toggle logging via a udev.conf option,
  and add it to udev.conf.  Update udev.rules.post_012 with some misc
  rules to extend devfs compat.  Should close bug #39517.

*udev-013-r1 (16 Jan 2004)

  16 Jan 2004; Martin Schlemmer <azarah@gentoo.org> udev-013-r1.ebuild,
  files/udev.rules.post_012:
  Add sound/OSS and input devfs rules from Christophe Saout <christophe@saout.de>.
  Bump revision to make sure previous and ide-devfs.sh changes gets in.

  16 Jan 2004; Martin Schlemmer <azarah@gentoo.org> files/udev.rules.post_012:
  Fix calling of ide-devfs.sh.

*udev-013 (16 Jan 2004)

  16 Jan 2004; Martin Schlemmer <azarah@gentoo.org> udev-013.ebuild,
  files/udev.rules.post_012:
  Update version.  Update config files to suite new rules syntax.

*udev-012 (01 Jan 2004)

  04 Jan 2004; Mike Frysinger <vapier@gentoo.org> udev-012-udev_c-gcc295-compat.patch :
  Another gcc-2.x compatible patch.  I thought these guys wrote C, not C++ :).

  01 Jan 2004; Martin Schlemmer <azarah@gentoo.org> udev-012.ebuild,
  files/udev.permissions:
  Update version. Update udev.permissions (According to changes to Debian config
  file). Closes bug #36925.

  27 Dec 2003; Martin Schlemmer <azarah@gentoo.org> udev-011.ebuild,
  files/udev-011-namedev_c-gcc295-compat.patch:
  Fix gcc-2.95.3 compat, bug #36556.

*udev-011 (27 Dec 2003)

  27 Dec 2003; Martin Schlemmer <azarah@gentoo.org> udev-011.ebuild,
  files/udev-011-ide-devfs-form-fixes.patch, files/udev-011-ide-devfs.patch,
  files/udev-011-no-wait-for-sleep.patch,
  files/udev-011-unlink-before-symlink.patch, files/udev.conf,
  files/udev.permissions, files/udev.rules:
  Update version. Fix udev_db path to point to /dev, else it is not writable
  early during boot. Fix permissions on /dev/ptmx, else we use old style PTYs.
  Update udev.permissions to also include devfs paths. Update udev.rules to use
  some devfs layout for easy initial transition. Update included script
  (udev-011-ide-devfs*.patch) that handles ide devfs symlinks to also generate
  /dev/{cdroms,discs} ones. Fix udev to first remove any existing
  nodes/fifo's/sockets/etc before trying to create a symlink, else it silently
  fails without debugging enabled (udev-011-unlink-before-symlink.patch). Add
  hack so that we can disable the sleep period udev have (its there so that udev
  do not try to access the sysfs info before the kernel created the entries) -
  we do not need it when we disable sleep, as the entries are already created
  (udev-011-no-wait-for-sleep.patch).

*udev-009 (17 Dec 2003)

  17 Dec 2003; Martin Schlemmer <azarah@gentoo.org> udev-009.ebuild,
  files/udev-009-scsi_id-new-sysfs.patch:
  New version.

*udev-008 (14 Dec 2003)

  14 Dec 2003; Martin Schlemmer <azarah@gentoo.org> udev-008.ebuild,
  files/udev.conf:
  Update version.

*udev-007 (24 Nov 2003)

  24 Nov 2003; Martin Schlemmer <azarah@gentoo.org> udev-007.ebuild,
  files/namedev.permissions, files/udev-007-check-valid-mode.patch,
  files/udev.permissions:
  Update version. Add patch to stop udev segfault due to my type-o's that was in
  udev.permissions. Move namedev.permissions to udev.permissions and update it
  with more nodes.

*udev-006 (19 Nov 2003)

  19 Nov 2003; Martin Schlemmer <azarah@gentoo.org> udev-006.ebuild:
  Update version. Make it easier to choose between internal and external
  libsysfs; also make possible to enable kglibc support. Note that there were
  some libsysfs changes again, so we cannot use external libsysfs for this
  release ...

*udev-005-r1 (07 Nov 2003)

  07 Nov 2003; Martin Schlemmer <azarah@gentoo.org> udev-005-r1.ebuild:
  Update to build against external libsysfs.

*udev-005 (23 Oct 2003)

  23 Oct 2003; Martin Schlemmer <azarah@gentoo.org> udev-005.ebuild:
  Update version.

*udev-004 (22 Oct 2003)

  22 Oct 2003; Martin Schlemmer <azarah@gentoo.org> udev-004.ebuild,
  files/udev-004-disk-loop-fix.patch, files/udev-004-label-fixes.patch,
  files/udev-004-manpage-update.patch:
  New version.

  21 Oct 2003; Martin Schlemmer <azarah@gentoo.org> udev-0.2.ebuild,
  udev-0.3.ebuild, files/udev-0.2-major_minor-in-decimal.patch,
  files/udev-0.3-fix-partition-support.patch:
  Cleanup.

*udev-003 (21 Oct 2003)

  21 Oct 2003; Martin Schlemmer <azarah@gentoo.org> udev-003.ebuild,
  files/udev-003-fix-partition-support.patch:
  Ok, according to Greg KH 003, 004, etc is going to be the new versioning
  scheme, so revert my version fix.

  21 Oct 2003; Martin Schlemmer <azarah@gentoo.org> udev-0.3.ebuild:
  Update DEPEND with hotplug, as we should be able to start using udev without
  modifying /proc/sys/kernel/hotplug.

*udev-0.3 (21 Oct 2003)

  21 Oct 2003; Martin Schlemmer <azarah@gentoo.org> udev-0.3.ebuild,
  files/udev-0.3-fix-partition-support.patch:
  Update version.

*udev-0.2 (14 Oct 2003)

  14 Oct 2003; Martin Schlemmer <azarah@gentoo.org> udev-0.2.ebuild,
  files/namedev.permissions, files/udev-0.2-major_minor-in-decimal.patch:
  Initial version submitted by myself.

